<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="JKFLIPFLOP">
  <refnamediv>
    <refname>JKFLIPFLOP</refname>
    <refpurpose>JKFLIPFLOP Bascule JK</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/JKFLIPFLOP_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contenu_JKFLIPFLOP">
    <title>Contenu</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="JKFLIPFLOP">JKFLIPFLOP Bascule JK</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_JKFLIPFLOP">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_JKFLIPFLOP">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Boîtededialogue_JKFLIPFLOP">Boîte de dialogue</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Propriétéspardéfaut_JKFLIPFLOP">Propriétés par défaut</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Fonctiondinterface_JKFLIPFLOP">Fonction d'interface</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <link linkend="JKFLIPFLOP">Contenu du super-bloc compilé</link>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Voiraussi_JKFLIPFLOP">Voir aussi</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Auteurs_JKFLIPFLOP">Auteurs</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_JKFLIPFLOP">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Integer_pal">Integer - Palette Integer</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_JKFLIPFLOP">
    <title>Description</title>
    <para>
The JK flip flop is the most versatile of the basic flip-flops.
It has two inputs traditionaly labeled J and K. When J and K are
different, the output takes the value of J at the next falling edge.
When J and K are both low, no change occurs in the output state,
when they are both high the output will toggle from one state to other.
It can perform the functions of the set/reset flip-flop and has the
advantage that there are no ambiguous states. It can also act as a
T flip-flop to accomplish toggling action if J and K are tied together.
This toggle application finds extensive use in binary counters. 
This block is almostly used with digital number, the input data type
is int8.
</para>
    <para>
The truth table of this block is
</para>
    <para>
</para>
    <informaltable border="1" cellpadding="3">
      <tr>
        <td align="center">J</td>
        <td align="center">K</td>
        <td align="center">Q(t)</td>
        <td align="center">!Q(t)</td>
      </tr>
      <tr>
        <td align="center">0</td>
        <td align="center">0</td>
        <td align="center">Q(t-1)</td>
        <td align="center">!Q(t-1)</td>
      </tr>
      <tr>
        <td align="center">0</td>
        <td align="center">1</td>
        <td align="center">0</td>
        <td align="center">1</td>
      </tr>
      <tr>
        <td align="center">1</td>
        <td align="center">0</td>
        <td align="center">1</td>
        <td align="center">0</td>
      </tr>
      <tr>
        <td align="center">1</td>
        <td align="center">1</td>
        <td align="center">!Q(t-1)</td>
        <td align="center">Q(t-1)</td>
      </tr>
    </informaltable>
  </refsection>
  <refsection id="Boîtededialogue_JKFLIPFLOP">
    <title>Boîte de dialogue</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/JKFLIPFLOP_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Initial Value</emphasis>
        </para>
        <para> La valeur initial de l'état Q.</para>
        <para> Propriétés : Type 'vec' de taille 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Propriétéspardéfaut_JKFLIPFLOP">
    <title>Propriétés par défaut</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">toujours actif:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> oui</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">détection de passage à zéro:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">entrée régulières:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : taille [1,1] / type 5</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 2 : taille [1,1] / type 1</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 3 : taille [1,1] / type 5</emphasis>
        </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">sorties régulières:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : taille [1,1] / type 5</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 2 : taille [1,1] / type 5</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des entrées évènementielles:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des sorties évènementielles:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état continu:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état discret:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état objet:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">nom de la fonction de calcul:</emphasis>
          <emphasis role="italic">csuper</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Fonctiondinterface_JKFLIPFLOP">
    <title>Fonction d'interface</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/IntegerOp/JKFLIPFLOP.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Contenudusuperbloccompilé_JKFLIPFLOP">
    <title>Contenu du super-bloc compilé</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/JKFLIPFLOP_img3_fr.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Voiraussi_JKFLIPFLOP">
    <title>Voir aussi</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="DLATCH">DLATCH - DLATCH Bascule D (Bloc Scicos)</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="DFLIPFLOP">DFLIPFLOP - DFLIPFLOP Bascule D (Bloc Scicos)</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="SRFLIPFLOP">SRFLIPFLOP - SRFLIPFLOP Bascule RS (Bloc Scicos)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Auteurs_JKFLIPFLOP">
    <title>Auteurs</title>
    <para><emphasis role="bold">Fady NASSIF</emphasis> - INRIA</para>
  </refsection>
</refentry>
